/*
 * Miya.com Inc.
 * Copyright (c) 2004-${YEAR} All Rights Reserved.
 */
package com.miya.draw.config.business;

import io.swagger.models.auth.In;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 读取业务配置实现类
 *
 * @author jack
 */
@Data
@Component
public class BusinessConfigImpl implements BusinessConfig {

    @Value("${draw.maxcount}")
    private Integer drawMaxCount;

    @Value("${draw.countunit}")
    public Integer drawCountUnit;

    @Value("${draw.maxmoney}")
    public Long drawMaxMoney;
}
